Bug 39307 - HTTPS connections broken in recent Linux snapshot builds
Summary: HTTPS connections broken in recent Linux snapshot builds
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: General (show other bugs)
Version: master
Hardware: PC Linux
: --- critical
Target Milestone: Untriaged
Assignee: Alexander Köplinger [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-03-02 20:27 UTC by Alexander Köplinger [MSFT]
Modified: 2016-03-16 02:49 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexander Köplinger [MSFT] 2016-03-02 20:27:40 UTC
Something broke on Linux with TLS recently, e.g. with the snapshot build from 2016-02-26+23.40.37:

> csharp> new System.Net.WebClient().DownloadString("https://www.example.org")
> System.Net.WebException: Error: TrustFailure
>   at System.Net.WebClient.DownloadDataInternal (System.Uri address, System.Net.WebRequest& request) <0x41fe8b30 + 0x00323> in <filename unknown>:0
>   at System.Net.WebClient.DownloadString (System.Uri address) <0x41fe8920 + 0x0004f> in <filename unknown>:0
>   at System.Net.WebClient.DownloadString (System.String address) <0x41fe22d0 + 0x00033> in <filename unknown>:0
>   at <InteractiveExpressionClass>.Host (System.Object& $retval) <0x41fe1f30 + 0x0003b> in <filename unknown>:0
>   at Mono.CSharp.Evaluator.Evaluate (System.String input, System.Object& result, System.Boolean& result_set) <0x41f50c30 + 0x000dd> in <filename unknown>:0
>   at Mono.CSharpShell.Evaluate (System.String input) <0x41f50b30 + 0x00053> in <filename unknown>:0
Comment 1 Alexander Köplinger [MSFT] 2016-03-03 01:56:39 UTC
Heard that it's "working fine in c9e1f8 and then breaking in 051f49".
Comment 2 Dylan Borg 2016-03-12 11:06:20 UTC
I am experiencing something similar and have been stuck running f0b9f524fa81b043ac57a9c6ebc6e8d231a0f1e9 instead of the latest code which is still broken to this day.
Comment 3 Alexander Köplinger [MSFT] 2016-03-15 02:19:28 UTC
I bisected this down to https://github.com/mono/mono/commit/80741c16fdd267534cbe33c188c581dcc92c0c69, should be fixed with https://github.com/mono/mono/pull/2762.
Comment 5 Alexander Köplinger [MSFT] 2016-03-16 02:49:11 UTC
I tried with the latest snapshot build and it works fine now. Thank you for the quick fix Martin!